Bug 1002507 - Tests from org.infinispan.distribution.rehash package fail randomly
Tests from org.infinispan.distribution.rehash package fail randomly
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 06:55 EDT by Jiri Holusa
Modified: 2015-01-12 06:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trace logs (886.64 KB, application/zip)
2013-08-29 06:55 EDT, Jiri Holusa
no flags Details
Trace logs for org.infinispan.distribution.rehash.NonTxJoinerBecomingBackupOwnerTest.testBackupOwnerJoiningDuringPutIfAbsent (1.54 MB, text/x-log)
2013-08-29 06:58 EDT, Anna Manukyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3448 Major Resolved Tests from org.infinispan.distribution.rehash package fail randomly 2017-08-23 05:14 EDT

  None (edit)
Description Jiri Holusa 2013-08-29 06:55:02 EDT
Created attachment 791700 [details]
Trace logs

These tests are randomly failing on various platforms (RHEL, Solaris) with various JDKs.

org.infinispan.distribution.rehash.NonTxPutIfAbsentDuringLeaveStressTest.testNodeLeavingDuringPutIfAbsent
org.infinispan.distribution.rehash.NonTxJoinerBecomingBackupOwnerTest.testBackupOwnerJoiningDuringPutIfAbsent
org.infinispan.distribution.rehash.NonTxPutIfAbsentDuringJoinStressTest.testNodeJoiningDuringPutIfAbsent
org.infinispan.distribution.rehash.NonTxJoinerBecomingBackupOwnerTest.testBackupOwnerJoiningDuringPut
Comment 1 Anna Manukyan 2013-08-29 06:58:51 EDT
Created attachment 791701 [details]
Trace logs for org.infinispan.distribution.rehash.NonTxJoinerBecomingBackupOwnerTest.testBackupOwnerJoiningDuringPutIfAbsent

Trace logs for org.infinispan.distribution.rehash.NonTxJoinerBecomingBackupOwnerTest.testBackupOwnerJoiningDuringPutIfAbsent are added.
Comment 3 JBoss JIRA Server 2013-10-15 03:11:39 EDT
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3448

Add traces for NonTxPutIfAbsentDuringLeaveStressTest.testNodeLeavingDuringPutIfAbsent test
Comment 4 JBoss JIRA Server 2013-10-15 03:18:16 EDT
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3448

Adding trace log for NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringRemove test
Comment 5 JBoss JIRA Server 2013-10-15 03:23:59 EDT
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3448

Add traces for NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringPutOverwrite
Comment 6 JBoss JIRA Server 2013-10-15 03:33:27 EDT
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3448

Add trace log for org.infinispan.distribution.rehash.NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringRemoveWithPreviousValue
and 
org.infinispan.distribution.rehash.NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringReplaceWithPreviousValue
Comment 7 JBoss JIRA Server 2013-10-15 03:40:18 EDT
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3448

Add trace log for 3 tests
org.infinispan.distribution.rehash.NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringPutOverwrite
org.infinispan.distribution.rehash.NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringRemoveWithPreviousValue
org.infinispan.distribution.rehash.NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringReplace
Comment 8 JBoss JIRA Server 2013-10-15 03:41:57 EDT
Vitalii Chepeliuk <vchepeli@redhat.com> made a comment on jira ISPN-3448

Add trace logs for 
org.infinispan.distribution.rehash.NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringPutOverwrite
org.infinispan.distribution.rehash.NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringRemoveWithPreviousValue
org.infinispan.distribution.rehash.NonTxStateTransferOverwritingValue2Test.testBackupOwnerJoiningDuringReplace
Comment 9 Vitalii Chepeliuk 2013-12-16 04:53:39 EST
Issue still occurs but not so often, add jenkins job links
with Oracle JDK{6,7}
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK6,jdk=java17_default,label=RHEL5_x86_64/272/testReport/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK7,jdk=java17_default,label=RHEL6_x86/275/testReport/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK7,jdk=java17_default,label=RHEL6_x86/273/testReport/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK7,jdk=java17_default,label=RHEL6_x86/272/testReport/
And here with OpenJDK
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK6,jdk=openjdk-1.7.0-local,label=RHEL5_x86_64/lastCompletedBuild/testReport/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK6,jdk=openjdk-1.7.0-local,label=RHEL5_x86_64/273/testReport/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK6,jdk=openjdk-1.7.0-local,label=RHEL6_x86/lastCompletedBuild/testReport/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK6,jdk=openjdk-1.7.0-local,label=RHEL6_x86/274/testReport/
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/JDG/view/FUNC/job/edg-60-ispn-testsuite-rhel/USE_JDK=JDK6,jdk=openjdk-1.7.0-local,label=RHEL6_x86/272/testReport/
Comment 10 JBoss JIRA Server 2013-12-19 04:56:01 EST
Vitalii Chepeliuk <vchepeli@redhat.com> updated the status of jira ISPN-3448 to Reopened
Comment 11 JBoss JIRA Server 2015-01-12 06:23:03 EST
Tristan Tarrant <ttarrant@redhat.com> updated the status of jira ISPN-3448 to Resolved

Note You need to log in before you can comment on or make changes to this bug.